Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453965 - nut w/i usbhid-ups causes kernel crash
Summary: nut w/i usbhid-ups causes kernel crash
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 9
Hardware: athlon
OS: Linux
low
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-03 15:13 UTC by Marty Phelan
Modified: 2009-07-14 15:52 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 15:52:15 UTC


Attachments (Terms of Use)
Screen photos after crash (deleted)
2008-07-14 16:34 UTC, Marty Phelan
no flags Details
screen shot 1 (deleted)
2008-07-19 22:33 UTC, Chuck Ebbert
no flags Details
screen shot 2 (deleted)
2008-07-19 22:34 UTC, Chuck Ebbert
no flags Details
screen shot 3 (deleted)
2008-07-19 22:35 UTC, Chuck Ebbert
no flags Details

Description Marty Phelan 2008-07-03 15:13:49 UTC
Description of Problem:

After loading the NUT ups driver (/sbin/upsdrvctl start) the kernel will crash
within less than 1 minute. All network connections are severed. If I leave the
console screen displayed (Ctrl-Alt-F1) before I load UPS controller, I can see
the kernel dump (many pages using shift-PageUp/Down). Ctrl-Alt-Del at this point
causes total lockup and I must use hard reset or power off to reboot.

The NUT driver configuration is:
[TL-OMNI1000LCD]
	driver = usbhid-ups
	port = auto
	desc = "TrippLite Omni 1000"

Version-Release number of selected component (if applicable):

nut-2.2.2-1.fc9
kernel-2.6.25.9-76.fc9 & kernel-2.6.25.6-55.fc9

How reproducible:


Steps to Reproduce:
1. Connected TrippLite Omni 1000 to USB port
2. Power up and boot machine
3. At console: /sbin/upsdrvctl start
4. Wait 1-2 minutes

Actual results:
Kernel crashes with BUG...

Expected results:
normal operation

Additional info:
Please request any additional information.

Thanks,
Marty

Comment 1 Tomas Smetana 2008-07-04 13:11:30 UTC
This looks very strange -- usbhid-ups is probably the most frequently used nut
driver and no such problem has ever been reported.  I believe this a kernel
problem.  Reassigning.

Comment 2 Chuck Ebbert 2008-07-09 21:05:36 UTC
We need to see the entire BUG message. Boot with option vga=1 or vga=792 and
take a picture of the screen with a camera if you have to.

Comment 3 Marty Phelan 2008-07-14 16:34:41 UTC
Created attachment 311726 [details]
Screen photos after crash

Crash dumped many screen pages every 30-60 seconds. I tried to get as many as I
could before system totally locked up.

Comment 4 Marty Phelan 2008-07-14 17:07:05 UTC
I also tried to duplicate the problem on another machine (same kernel/os etc),
but could not replicate it. Only difference was the processor (Intel). The
machine that is crashing is an Athlon XP 2500+.


Comment 5 Chuck Ebbert 2008-07-19 22:33:45 UTC
Created attachment 312210 [details]
screen shot 1

Comment 6 Chuck Ebbert 2008-07-19 22:34:21 UTC
Created attachment 312211 [details]
screen shot 2

Comment 7 Chuck Ebbert 2008-07-19 22:35:05 UTC
Created attachment 312212 [details]
screen shot 3

Comment 8 Chuck Ebbert 2008-07-20 20:14:11 UTC
slab_alloc():
/usr/src/debug/kernel-2.6.25/linux-2.6.25.i686/mm/slub.c:1581
c047ece6:       8b 1f                   mov    (%edi),%ebx
c047ece8:       85 db                   test   %ebx,%ebx
c047ecea:       74 0a                   je     c047ecf6 <kmem_cache_alloc+0x45>
/usr/src/debug/kernel-2.6.25/linux-2.6.25.i686/mm/slub.c:1587
c047ecec:       8b 47 0c                mov    0xc(%edi),%eax
c047ecef:       8b 04 83                mov    (%ebx,%eax,4),%eax   <========
c047ecf2:       89 07                   mov    %eax,(%edi)
c047ecf4:       eb 14                   jmp    c047ed0a <kmem_cache_alloc+0x59>
/usr/src/debug/kernel-2.6.25/linux-2.6.25.i686/mm/slub.c:1583
c047ecf6:       57                      push   %edi
c047ecf7:       8b 45 f0                mov    -0x10(%ebp),%eax
c047ecfa:       83 c9 ff                or     $0xffffffff,%ecx
c047ecfd:       52                      push   %edx
c047ecfe:       8b 55 ec                mov    -0x14(%ebp),%edx
c047ed01:       e8 29 f6 ff ff          call   c047e32f <__slab_alloc>
c047ed06:       59                      pop    %ecx
c047ed07:       89 c3                   mov    %eax,%ebx
c047ed09:       58                      pop    %eax


Comment 9 Chuck Ebbert 2008-07-20 23:59:57 UTC
1580    c = get_cpu_slab(s, smp_processor_id());
        if (unlikely(!c->freelist || !node_match(c, node)))

                object = __slab_alloc(s, gfpflags, node, addr, c);

        else {
                object = c->freelist;
                c->freelist = object[c->offset];
                stat(c, ALLOC_FASTPATH);
        }


Comment 10 Chuck Ebbert 2008-07-21 01:35:16 UTC
c->freelist == 1
c->offset == 0


Comment 11 Bug Zapper 2009-06-10 01:54:13 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 12 Bug Zapper 2009-07-14 15:52:15 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.